#ifndef EDCLOCKATTR_H
#define EDCLOCKATTR_H

#include <QTimeZone>
#include <QColorDialog>
#include "eattr.h"
#include "edclock.h"

namespace Ui {
class eDClockAttr;
}

class eDClockAttr : public eAttr
{
    Q_OBJECT
public:
    explicit eDClockAttr(const eDClock::Data &data, QWidget *parent = nullptr);
    ~eDClockAttr();

signals:
    void sAttrChanged(const eDClock::Data &);

public slots:
    void onAttrChanged();

private:
    Ui::eDClockAttr *ui;
};

#endif // EDCLOCKATTR_H
